Skip to content

Load current parameter options after checking source grants.

POST
/api/workspace/data-sources/{catalogItemId}/options
curl --request POST \
--url https://example.com/api/workspace/data-sources/example/options \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "ParameterKey": "example", "ParameterValues": { "additionalProperty": "example" } }'
catalogItemId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request to resolve options for a select-like data-source parameter.

object
ParameterKey

Data-source parameter key.

string
nullable
ParameterValues

Current parameter values that may influence dynamic options.

object
key
additional properties
Examplegenerated
{
"ParameterKey": "example",
"ParameterValues": {
"additionalProperty": "example"
}
}

OK

Media typeapplication/json
object
Data

Represents a flat or grouped select-like option set.

object
Options
Array<object>
nullable

Represents one select-like parameter option.

object
Value
string
nullable
Label
string
nullable
GroupKey
string
nullable
Disabled
boolean
Groups
Array<object>
nullable

Represents a group for select-like options.

object
Key
string
nullable
Label
string
nullable
Disabled
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Represents a flat or grouped select-like option set.

object
Options
Array<object>
nullable

Represents one select-like parameter option.

object
Value
string
nullable
Label
string
nullable
GroupKey
string
nullable
Disabled
boolean
Groups
Array<object>
nullable

Represents a group for select-like options.

object
Key
string
nullable
Label
string
nullable
Disabled
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}